=== modified file 'drizzled/db.cc'
--- drizzled/db.cc	2009-12-21 08:16:13 +0000
+++ drizzled/db.cc	2009-12-21 08:44:54 +0000
@@ -36,6 +36,7 @@
 #include "drizzled/sql_table.h"
 #include "drizzled/plugin/info_schema_table.h"
 #include "drizzled/global_charset_info.h"
+#include "drizzled/pthread_globals.h"
 
 
 using namespace std;

=== modified file 'drizzled/include.am'
--- drizzled/include.am	2009-12-21 06:10:11 +0000
+++ drizzled/include.am	2009-12-21 08:44:54 +0000
@@ -294,6 +294,7 @@
 		drizzled/plugin/transaction_applier.h \
 		drizzled/plugin/transaction_reader.h \
 		drizzled/plugin/transaction_replicator.h \
+		drizzled/pthread_globals.h \
 		drizzled/probes.h \
 		drizzled/query_id.h \
 		drizzled/records.h \

=== modified file 'drizzled/lock.cc'
--- drizzled/lock.cc	2009-12-11 21:54:18 +0000
+++ drizzled/lock.cc	2009-12-21 08:44:54 +0000
@@ -80,6 +80,7 @@
 #include <drizzled/session.h>
 #include <drizzled/sql_base.h>
 #include <drizzled/lock.h>
+#include "drizzled/pthread_globals.h"
 
 /**
   @defgroup Locking Locking

=== modified file 'drizzled/plugin/loader.cc'
--- drizzled/plugin/loader.cc	2009-12-21 07:42:09 +0000
+++ drizzled/plugin/loader.cc	2009-12-21 08:44:54 +0000
@@ -39,6 +39,7 @@
 #include "drizzled/errmsg_print.h"
 #include "drizzled/plugin/library.h"
 #include "drizzled/strfunc.h"
+#include "drizzled/pthread_globals.h"
 
 /* FreeBSD 2.2.2 does not define RTLD_NOW) */
 #ifndef RTLD_NOW

=== added file 'drizzled/pthread_globals.h'
--- drizzled/pthread_globals.h	1970-01-01 00:00:00 +0000
+++ drizzled/pthread_globals.h	2009-12-21 08:44:54 +0000
@@ -0,0 +1,39 @@
+/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2009 Sun Microsystems
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; version 2 of the License.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#ifndef DRIZZLED_PTHREAD_GLOBALS_H
+#define DRIZZLED_PTHREAD_GLOBALS_H
+
+#include <pthread.h>
+
+extern pthread_mutex_t LOCK_create_db;
+extern pthread_mutex_t LOCK_open;
+extern pthread_mutex_t LOCK_thread_count;
+extern pthread_mutex_t LOCK_status;
+extern pthread_mutex_t LOCK_global_read_lock;
+extern pthread_mutex_t LOCK_global_system_variables;
+
+extern pthread_rwlock_t LOCK_system_variables_hash;
+extern pthread_cond_t COND_refresh;
+extern pthread_cond_t COND_thread_count;
+extern pthread_cond_t COND_global_read_lock;
+extern pthread_attr_t connection_attrib;
+extern pthread_t signal_thread;
+
+#endif /* DRIZZLED_PTHREAD_GLOBALS_H */

=== modified file 'drizzled/server_includes.h'
--- drizzled/server_includes.h	2009-12-21 08:26:25 +0000
+++ drizzled/server_includes.h	2009-12-21 08:44:54 +0000
@@ -1,4 +1,4 @@
-/*
+/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
  *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
  *
  *  Copyright (C) 2008 Sun Microsystems
@@ -31,7 +31,7 @@
 /* Contains system-wide constants and #defines */
 #include <drizzled/definitions.h>
 
-#include <pthread.h>
+#include <stddef.h>
 
 /* Routines for printing error messages */
 #include <drizzled/errmsg_print.h>
@@ -61,7 +61,6 @@
 extern size_t table_def_size;
 extern uint64_t max_connect_errors;
 extern uint32_t back_log;
-extern pid_t current_pid;
 extern uint32_t ha_open_options;
 extern char *drizzled_bind_host;
 extern uint32_t drizzled_bind_timeout;
@@ -76,20 +75,6 @@
 extern char* opt_secure_file_priv;
 extern char *default_tz_name;
 
-extern pthread_mutex_t LOCK_create_db;
-extern pthread_mutex_t LOCK_open;
-extern pthread_mutex_t LOCK_thread_count;
-extern pthread_mutex_t LOCK_status;
-extern pthread_mutex_t LOCK_global_read_lock;
-extern pthread_mutex_t LOCK_global_system_variables;
-
-extern pthread_rwlock_t LOCK_system_variables_hash;
-extern pthread_cond_t COND_refresh;
-extern pthread_cond_t COND_thread_count;
-extern pthread_cond_t COND_global_read_lock;
-extern pthread_attr_t connection_attrib;
-extern pthread_t signal_thread;
-
 
 extern drizzled::plugin::StorageEngine *myisam_engine;
 extern drizzled::plugin::StorageEngine *heap_engine;

=== modified file 'drizzled/session.cc'
--- drizzled/session.cc	2009-12-21 07:42:09 +0000
+++ drizzled/session.cc	2009-12-21 08:44:54 +0000
@@ -43,6 +43,8 @@
 #include "drizzled/probes.h"
 #include "drizzled/table_proto.h"
 #include "drizzled/db.h"
+#include "drizzled/pthread_globals.h"
+
 
 #include <fcntl.h>
 #include <algorithm>

=== modified file 'drizzled/set_var.cc'
--- drizzled/set_var.cc	2009-12-21 08:26:25 +0000
+++ drizzled/set_var.cc	2009-12-21 08:44:54 +0000
@@ -61,6 +61,7 @@
 #include "drizzled/version.h"
 #include "drizzled/strfunc.h"
 #include "mystrings/m_string.h"
+#include "drizzled/pthread_globals.h"
 
 #include <map>
 #include <algorithm>

=== modified file 'drizzled/show.cc'
--- drizzled/show.cc	2009-12-21 08:16:13 +0000
+++ drizzled/show.cc	2009-12-21 08:44:54 +0000
@@ -47,6 +47,7 @@
 #include <mysys/cached_directory.h>
 #include "drizzled/sql_table.h"
 #include "drizzled/global_charset_info.h"
+#include "drizzled/pthread_globals.h"
 
 #include <sys/stat.h>
 

=== modified file 'drizzled/sql_base.cc'
--- drizzled/sql_base.cc	2009-12-21 08:16:13 +0000
+++ drizzled/sql_base.cc	2009-12-21 08:44:54 +0000
@@ -49,6 +49,7 @@
 #include "drizzled/memory/multi_malloc.h"
 #include "drizzled/sql_table.h"
 #include "drizzled/global_charset_info.h"
+#include "drizzled/pthread_globals.h"
 
 
 using namespace std;

=== modified file 'drizzled/sql_insert.cc'
--- drizzled/sql_insert.cc	2009-12-21 07:28:55 +0000
+++ drizzled/sql_insert.cc	2009-12-21 08:44:54 +0000
@@ -27,6 +27,7 @@
 #include <drizzled/field/timestamp.h>
 #include <drizzled/lock.h>
 #include "drizzled/sql_table.h"
+#include "drizzled/pthread_globals.h"
 
 using namespace drizzled;
 

=== modified file 'drizzled/sql_parse.cc'
--- drizzled/sql_parse.cc	2009-12-21 08:16:13 +0000
+++ drizzled/sql_parse.cc	2009-12-21 08:44:54 +0000
@@ -44,6 +44,7 @@
 #include "drizzled/plugin/logging.h"
 #include "drizzled/plugin/info_schema_table.h"
 #include "drizzled/optimizer/explain_plan.h"
+#include "drizzled/pthread_globals.h"
 
 #include <bitset>
 #include <algorithm>

=== modified file 'drizzled/sql_table.cc'
--- drizzled/sql_table.cc	2009-12-21 08:16:13 +0000
+++ drizzled/sql_table.cc	2009-12-21 08:44:54 +0000
@@ -43,6 +43,7 @@
 #include "drizzled/statement/alter_table.h"
 #include "drizzled/plugin/info_schema_table.h"
 #include "drizzled/sql_table.h"
+#include "drizzled/pthread_globals.h"
 
 #include <algorithm>
 #include <sstream>
@@ -50,6 +51,8 @@
 using namespace std;
 using namespace drizzled;
 
+extern pid_t current_pid;
+
 static const char hexchars[]= "0123456789abcdef";
 bool is_primary_key(KEY *key_info)
 {

=== modified file 'drizzled/sql_yacc.yy'
--- drizzled/sql_yacc.yy	2009-12-21 08:16:13 +0000
+++ drizzled/sql_yacc.yy	2009-12-21 08:44:54 +0000
@@ -132,6 +132,7 @@
 #include <drizzled/statement/update.h>
 #include <drizzled/db.h>
 #include "drizzled/global_charset_info.h"
+#include "drizzled/pthread_globals.h"
 
 
 using namespace drizzled;

=== modified file 'drizzled/statement/alter_table.cc'
--- drizzled/statement/alter_table.cc	2009-12-21 08:16:13 +0000
+++ drizzled/statement/alter_table.cc	2009-12-21 08:44:54 +0000
@@ -39,6 +39,9 @@
 #include "drizzled/optimizer/range.h"
 #include "drizzled/time_functions.h"
 #include "drizzled/records.h"
+#include "drizzled/pthread_globals.h"
+
+extern pid_t current_pid;
 
 using namespace std;
 

=== modified file 'drizzled/statement/rename_table.cc'
--- drizzled/statement/rename_table.cc	2009-12-21 07:28:55 +0000
+++ drizzled/statement/rename_table.cc	2009-12-21 08:44:54 +0000
@@ -24,6 +24,7 @@
 #include <drizzled/session.h>
 #include <drizzled/statement/rename_table.h>
 #include "drizzled/sql_table.h"
+#include "drizzled/pthread_globals.h"
 
 namespace drizzled
 {

=== modified file 'drizzled/table.cc'
--- drizzled/table.cc	2009-12-21 07:28:55 +0000
+++ drizzled/table.cc	2009-12-21 08:44:54 +0000
@@ -55,6 +55,8 @@
 using namespace std;
 using namespace drizzled;
 
+extern pid_t current_pid;
+
 /* Functions defined in this cursor */
 
 void open_table_error(TableShare *share, int error, int db_errno,

=== modified file 'plugin/info_schema/helper_methods.cc'
--- plugin/info_schema/helper_methods.cc	2009-12-21 08:16:13 +0000
+++ plugin/info_schema/helper_methods.cc	2009-12-21 08:44:54 +0000
@@ -30,6 +30,7 @@
 #include "drizzled/plugin/client.h"
 #include "drizzled/join_table.h"
 #include "drizzled/global_charset_info.h"
+#include "drizzled/pthread_globals.h"
 
 
 #include "helper_methods.h"

=== modified file 'plugin/info_schema/processlist.cc'
--- plugin/info_schema/processlist.cc	2009-12-21 06:10:11 +0000
+++ plugin/info_schema/processlist.cc	2009-12-21 08:44:54 +0000
@@ -28,6 +28,7 @@
 #include "drizzled/show.h"
 #include "drizzled/plugin/client.h"
 #include "drizzled/session_list.h"
+#include "drizzled/pthread_globals.h"
 
 #include "helper_methods.h"
 #include "processlist.h"

=== modified file 'plugin/info_schema/status.cc'
--- plugin/info_schema/status.cc	2009-11-26 03:47:13 +0000
+++ plugin/info_schema/status.cc	2009-12-21 08:44:54 +0000
@@ -27,6 +27,7 @@
 #include "drizzled/session.h"
 #include "drizzled/show.h"
 #include "drizzled/tztime.h"
+#include "drizzled/pthread_globals.h"
 
 #include "helper_methods.h"
 #include "status.h"

=== modified file 'plugin/info_schema/variables.cc'
--- plugin/info_schema/variables.cc	2009-11-26 03:47:13 +0000
+++ plugin/info_schema/variables.cc	2009-12-21 08:44:54 +0000
@@ -32,6 +32,8 @@
 
 #include <vector>
 
+#include "drizzled/pthread_globals.h"
+
 using namespace drizzled;
 using namespace std;
 

=== modified file 'plugin/innobase/handler/ha_innodb.cc'
--- plugin/innobase/handler/ha_innodb.cc	2009-12-21 03:44:51 +0000
+++ plugin/innobase/handler/ha_innodb.cc	2009-12-21 08:44:54 +0000
@@ -83,6 +83,7 @@
 #include "drizzled/plugin/storage_engine.h"
 #include "drizzled/plugin/info_schema_table.h"
 #include "drizzled/memory/multi_malloc.h"
+#include "drizzled/pthread_globals.h"
 
 /** @file ha_innodb.cc */
 

=== modified file 'plugin/multi_thread/multi_thread.cc'
--- plugin/multi_thread/multi_thread.cc	2009-12-21 03:44:51 +0000
+++ plugin/multi_thread/multi_thread.cc	2009-12-21 08:44:54 +0000
@@ -15,6 +15,7 @@
 
 #include <drizzled/server_includes.h>
 #include <plugin/multi_thread/multi_thread.h>
+#include "drizzled/pthread_globals.h"
 
 using namespace std;
 using namespace drizzled;

=== modified file 'plugin/pool_of_threads/pool_of_threads.cc'
--- plugin/pool_of_threads/pool_of_threads.cc	2009-12-21 03:44:51 +0000
+++ plugin/pool_of_threads/pool_of_threads.cc	2009-12-21 08:44:54 +0000
@@ -21,6 +21,7 @@
 #include <drizzled/server_includes.h>
 #include <fcntl.h>
 #include <plugin/pool_of_threads/pool_of_threads.h>
+#include "drizzled/pthread_globals.h"
 
 using namespace std;
 using namespace drizzled;

=== modified file 'plugin/signal_handler/signal_handler.cc'
--- plugin/signal_handler/signal_handler.cc	2009-12-21 04:41:20 +0000
+++ plugin/signal_handler/signal_handler.cc	2009-12-21 08:44:54 +0000
@@ -19,6 +19,7 @@
 #include <drizzled/unireg.h>
 #include <drizzled/plugin/storage_engine.h>
 #include <drizzled/cursor.h> /* for refresh_version */
+#include "drizzled/pthread_globals.h"
 
 #include <sys/stat.h>
 #include <fcntl.h>

